package net.webservicex.www;

import java.rmi.RemoteException;

import net.webservicex.www.CurrencyConvertorStub.ConversionRate;
import net.webservicex.www.CurrencyConvertorStub.ConversionRateResponse;
import net.webservicex.www.CurrencyConvertorStub.Currency;

public class CurrencyConverterClient {
	
	public static void main(String[] args) {
		try {
			CurrencyConvertorStub stub = new CurrencyConvertorStub();
			ConversionRate rate = new CurrencyConvertorStub.ConversionRate();
			
			Currency currency1 = new CurrencyConvertorStub.Currency("USD",true);
			Currency currency2 = new CurrencyConvertorStub.Currency("LKR",true);
			
			rate.setFromCurrency(currency1);
			rate.setToCurrency(currency2);

			ConversionRateResponse responce = stub.ConversionRate(rate);
			
			System.out.println("Conversion Rate Results of USD - LKR : "+ responce.getConversionRateResult());
		} catch (RemoteException e) {
			e.printStackTrace();
		}
	}

}
